Opened 14 years ago

Closed 14 years ago

Last modified 13 years ago

#2332 closed defect (fixed)

PUTTTIME: Unknown MD5, fails to load

Reported by: SF/oncer Owned by: Kirben
Priority: normal Component: Engine: SCUMM
Keywords: Cc:
Game: Putt-Putt Travels Through Time

Description

ScummVM 0.9.0CVS (Nov 3 2005 21:17:05)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

The game is recognized as Putt Putt Travels through
Time (English US, Platform default), but it is the
German Windows version. When I try to start it (even if
I manually change the language setting), the following
error appears:
Looking for putttime
Trying to start game 'Putt-Putt Travels Through Time'
Unknown MD5 (84e3c23a49ded8a6f9197735c8eb3de7)! Please
report the details (language, platform, etc.) of this
game to the ScummVM team
Bad ID 5040302('♣♦♥☻') found in index file directory!!

Language of the game: German

Version of the Game: CD Talkie Windows

Platform and Compiler: Win32, daily CVS

Ticket imported from: #1347383. Ticket imported from: bugs/2332.

Attachments (2)

md5.diff (4.8 KB ) - added by Kirben 14 years ago.
Patch for changes
toffzeit.he0 (122.2 KB ) - added by SF/oncer 14 years ago.

Download all attachments as: .zip

Change History (18)

comment:1 by SF/oncer, 14 years ago

Priority: normalhigh

comment:2 by Kirben, 14 years ago

Owner: set to Kirben

comment:3 by Kirben, 14 years ago

I added the md5 checksum for this version of putttime.

I made a random guess at the correct HE version for the
game. If the game still fails to start follow the instructions
below.

Please start ScummVM with a debug level of 1 via a
Command Prompt or MS-DOS Prompt and report the
blocksize listed by readMAXS. For example:
scummvm -d1 putttime

comment:4 by SF/oncer, 14 years ago

ScummVM 0.9.0CVS (Nov 4 2005 21:54:24)
Features compiled in: Vorbis FLAC MP3 zLib MPEG2

Debuglevel (from command line): 1
Looking for putttime
Trying to start game 'Putt-Putt Travels Through Time'
Output sample rate: 22050 Hz
readMAXS: MAXS has blocksize 40
Bad ID 5040302('♣♦♥☻') found in index file directory!!

comment:5 by Kirben, 14 years ago

Please try the current Windows snapshot of ScummVM and
report results.

comment:6 by SF/oncer, 14 years ago

Still the same error... :(

OK, now using CVS version with GNU/Linux (Debian).
ScummVM 0.9.0CVS (Nov 5 2005 00:09:51)
Features compiled in: ALSA zLib

Debuglevel (from command line): 1
Looking for putttime
Trying to start game 'Putt-Putt Travels Through Time'
Output sample rate: 22050 Hz
readMAXS: MAXS has blocksize 40
Bad ID 5040302('') found in index file directory!!

by Kirben, 14 years ago

Attachment: md5.diff added

Patch for changes

comment:7 by Kirben, 14 years ago

My last changes are too recent to be in the ScummVM
snapshots for other operating systems or public CVS.
So please try the attached patch instead and update both
bug reports.

comment:8 by SF/oncer, 14 years ago

Applied the patch. Freddi seems to work partially now, but
this game (Putt Putt) still gives me the Bad ID error:

Looking for putttime
Trying to start game 'Putt-Putt Travels Through Time'
Output sample rate: 22050 Hz
readMAXS: MAXS has blocksize 40
Bad ID 2D656761('-ega') found in index file directory!!

comment:9 by Kirben, 14 years ago

Please don't alter the priority setting, it is meant for developer
use only.

Strange, puttime should currently default to HE verison 72,
which uses a block size of 40.
Please try the current Windows snapshot of ScummVM,
which should provide slightly more debug output.

comment:10 by Kirben, 14 years ago

Priority: highnormal

comment:11 by SF/oncer, 14 years ago

Debuglevel (from command line): 1
Looking for putttime
Trying to start game 'Putt-Putt Travels Through Time'
Output sample rate: 22050 Hz
ScummEngine_v72he readMAXS: MAXS has blocksize 40
Bad ID 2D656761('-ega') found in index file directory!!

comment:12 by Kirben, 14 years ago

That debug output confirms that HE version is 72 is been
used, as I expected. Maybe the index file isn't encrypted in
this version of puttime.

If you open the putttime.he0 type file, do you see tags
like 'MAXS', 'DIRS' and 'DIRN' ?

by SF/oncer, 14 years ago

Attachment: toffzeit.he0 added

comment:13 by SF/oncer, 14 years ago

I don't see any tags in the file. Attached it.

comment:14 by Kirben, 14 years ago

The problem was the game should have been HE version 80,
which has a difference in the 'RNAM' block of the index file,
causing the errors.

Fixed in the current Windows snapshot of ScummVM, public
CVS will take awhile to catch up.

comment:15 by Kirben, 14 years ago

Resolution: fixed
Status: newclosed

comment:16 by Kirben, 13 years ago

Component: Engine: SCUMM
Game: Putt-Putt Travels Through Time
Summary: Putt Putt travels through time: Unknown MD5, fails to loadPUTTTIME: Unknown MD5, fails to load
Note: See TracTickets for help on using tickets.